
# Overview 

* Authentication to Hackmd (CodiMD, Hedgedoc) is only possible with an account in uffd, regular authentication is disabled 
* All users with group 'hackmd_access' can access the Application

# Setup OIDC Authentication via uffd 

Uffd Reference: https://git.cccv.de/uffd


## Setup in HackDM

All setup is done in the docker-compose.yml
Reference: https://docs.hedgedoc.org/guides/auth/oauth/


## Setup in uffd

Create Groups:

- hackmd_access: General Access to Hackmd 

Create a Service / OAuth Client: 

Only Users with goup hackmd_access can access Wordpress 

Client-ID: hackmd
Client-Secret: from file oauth_client_secret on the server
Redirect-URIs: 
* https://md.test-warpzone.de/auth/oauth2/callback

